Bug 138337 - Move 'size' CSS property to the new StyleBuilder
Summary: Move 'size' CSS property to the new StyleBuilder
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords:
Depends on: 137910
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-03 17:10 PST by Chris Dumez
Modified: 2014-11-05 20:09 PST (History)
6 users (show)

See Also:


Attachments
Patch (16.71 KB, patch)
2014-11-03 17:24 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (16.74 KB, patch)
2014-11-05 19:23 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2014-11-03 17:10:30 PST
Move 'size' CSS property to the new StyleBuilder
Comment 1 Chris Dumez 2014-11-03 17:24:49 PST
Created attachment 240885 [details]
Patch
Comment 2 Andreas Kling 2014-11-03 23:52:50 PST
Comment on attachment 240885 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=240885&action=review

> Source/WebCore/css/StyleBuilderCustom.h:236
> +inline void applyInheritSize(StyleResolver&) { }
> +inline void applyInitialSize(StyleResolver&) { }

What's this about?
Comment 3 Andreas Kling 2014-11-03 23:52:51 PST
Comment on attachment 240885 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=240885&action=review

> Source/WebCore/css/StyleBuilderCustom.h:236
> +inline void applyInheritSize(StyleResolver&) { }
> +inline void applyInitialSize(StyleResolver&) { }

What's this about?
Comment 4 Chris Dumez 2014-11-04 08:08:01 PST
Comment on attachment 240885 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=240885&action=review

> Source/WebCore/css/DeprecatedStyleBuilder.cpp:-1339
> -    static void applyInheritValue(CSSPropertyID, StyleResolver*) { }

I moved the code from here, applyInitial and applyInherit were not doing anything but they need to be defined for the style builder code to build.
Comment 5 Andreas Kling 2014-11-05 15:40:53 PST
Comment on attachment 240885 [details]
Patch

r=me
Comment 6 Chris Dumez 2014-11-05 19:23:01 PST
Created attachment 241082 [details]
Patch
Comment 7 WebKit Commit Bot 2014-11-05 20:09:25 PST
Comment on attachment 241082 [details]
Patch

Clearing flags on attachment: 241082

Committed r175659: <http://trac.webkit.org/changeset/175659>
Comment 8 WebKit Commit Bot 2014-11-05 20:09:30 PST
All reviewed patches have been landed.  Closing bug.